<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_79) on Sun Feb 12 09:57:44 AST 2017 -->
<title>Stack</title>
<meta name="date" content="2017-02-12">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Stack";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Stack.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../Interface/Deque.html" title="interface in Interface"><span class="strong">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../index.html?Interface/Stack.html" target="_top">Frames</a></li>
<li><a href="Stack.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">Interface</div>
<h2 title="Interface Stack" class="title">Interface Stack&lt;E&gt;</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl><dt><span class="strong">Type Parameters:</span></dt><dd><code>E</code> - Data type of elements in the collection</dd></dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../Adapter/DequeStack.html" title="class in Adapter">DequeStack</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="strong">Stack&lt;E&gt;</span></pre>
<div class="block">The Stack interface contains methods to access/remove an element in a stack data structure
 Implementation of deque has no limitation on the type and size of an array</div>
<dl><dt><span class="strong">Author:</span></dt>
  <dd>Asok Kalidass Kalisamy (B00763356) - Graduate Student</dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../Interface/Stack.html#isEmpty()">isEmpty</a></strong>()</code>
<div class="block">Checks for an empty array</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../Interface/Stack.html" title="type parameter in Stack">E</a></code></td>
<td class="colLast"><code><strong><a href="../Interface/Stack.html#pop()">pop</a></strong>()</code>
<div class="block">Returns top element of a stack</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../Interface/Stack.html#push(E)">push</a></strong>(<a href="../Interface/Stack.html" title="type parameter in Stack">E</a>&nbsp;element)</code>
<div class="block">push element to a stack</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><strong><a href="../Interface/Stack.html#size()">size</a></strong>()</code>
<div class="block">Returns the size of an array</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../Interface/Stack.html" title="type parameter in Stack">E</a></code></td>
<td class="colLast"><code><strong><a href="../Interface/Stack.html#top()">top</a></strong>()</code>
<div class="block">Returns top element of a stack</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="size()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>size</h4>
<pre>int&nbsp;size()</pre>
<div class="block">Returns the size of an array</div>
</li>
</ul>
<a name="isEmpty()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isEmpty</h4>
<pre>boolean&nbsp;isEmpty()</pre>
<div class="block">Checks for an empty array</div>
</li>
</ul>
<a name="top()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>top</h4>
<pre><a href="../Interface/Stack.html" title="type parameter in Stack">E</a>&nbsp;top()</pre>
<div class="block">Returns top element of a stack</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>Top element of a stack</dd></dl>
</li>
</ul>
<a name="pop()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>pop</h4>
<pre><a href="../Interface/Stack.html" title="type parameter in Stack">E</a>&nbsp;pop()</pre>
<div class="block">Returns top element of a stack</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>Top element of a stack</dd></dl>
</li>
</ul>
<a name="push(java.lang.Object)">
<!--   -->
</a><a name="push(E)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>push</h4>
<pre>void&nbsp;push(<a href="../Interface/Stack.html" title="type parameter in Stack">E</a>&nbsp;element)</pre>
<div class="block">push element to a stack</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Stack.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../Interface/Deque.html" title="interface in Interface"><span class="strong">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../index.html?Interface/Stack.html" target="_top">Frames</a></li>
<li><a href="Stack.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
